#!/usr/bin/env python

from __future__ import print_function

import sys

# --------------------------------------------------------------------------

indent = 0
startLine = True

def incIndent () :
    global indent
    indent = indent + 3

def decIndent () :
    global indent
    indent = indent - 3

def put (txt) :
    global indent
    global startLine
    if startLine :
       # print ' ' * indent,
       sys.stdout.write (" " * indent)
    startLine = False
    if txt != " " :
       # print txt,
       sys.stdout.write (txt)

def putEol () :
    global startLine
    startLine = True
    print ()

def putCondEol () :
    global startLine
    if not startLine :
       putEol ()

def putLn (txt) :
    put (txt)
    putEol ()

# --------------------------------------------------------------------------

# kate: indent-width 1; show-tabs true; replace-tabs true; remove-trailing-spaces all
